# Class WatchedResourceSF

java.lang.Object
org.apache.catalina.storeconfig.StoreFactoryBase
org.apache.catalina.storeconfig.WatchedResourceSF

All Implemented Interfaces:
  `IStoreFactory`

public class WatchedResourceSF extends StoreFactoryBase
Store factory for watched resources in a StandardContext.

## Field Summary

### Fields inherited from class StoreFactoryBase

`sm`

## Constructor Summary

Constructors
Constructor
Description
`WatchedResourceSF()`
Constructs a new WatchedResourceSF.

## Method Summary

Modifier and Type
Method
Description
`void`
`store(PrintWriter aWriter, int indent, Object aElement)`
Store a server.xml element with attributes and children.

### Methods inherited from class StoreFactoryBase

`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeChildren, storeElement, storeElementArray, storeXMLHead`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WatchedResourceSF

public WatchedResourceSF()
Constructs a new WatchedResourceSF.

## Method Details

### store

public void store(PrintWriter aWriter, int indent, Object aElement) throws Exception
Description copied from interface: `IStoreFactory`
Store a server.xml element with attributes and children.

Specified by:
  `store` in interface `IStoreFactory`
Overrides:
  `store` in class `StoreFactoryBase`
Parameters:
  `aWriter` - the writer to write to
  `indent` - the indentation
  `aElement` - the element to write
Throws:
  `Exception` - if an error occurs